﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamNumericEditorMask
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        CustomData simpleMask;

        public MainWindow()
        {
            InitializeComponent();
             simpleMask= new CustomData();
            simpleMask.CustomMask = "##";
            DataContext = simpleMask;
            
        }

        private void XamNumericEditor_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.OemPeriod)
            {
                simpleEditor.Mask = "{double:-4.3}";
                simpleEditor.SelectionStart = 6;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show(simpleMask.CustomMask.ToString());
        }
    }

    public class CustomData : INotifyPropertyChanged
    {
        private string customMask;

        public string CustomMask 
        {
            get
            {
                return customMask;
            }
            set
            {
                customMask = value;
                OnPropertyChanged("CustomMask");
            }

        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
